#include <stdio.h>
#include <fcntl.h>

int main() {
	int fd;

	fd = open("/dev/powerswitch", O_RDONLY);

	if (fd == -1) {
		perror("open");
		return 1;
	}

	for (;;) {
		int val;
		int ret;
		ret = read(fd, &val, sizeof(val));
		if (ret == 0)
			return 2;
		if (ret == -1) {
			perror("read");
			return 1;
		}
		if (ret != sizeof(val))
			printf("Wanted %d, got %d!\n", sizeof(val), ret);
		if (val == 0) {
			printf("Power button pushed.\n");
		} else {
			printf("Power button released after %d.%02d seconds.\n", val/100, val%100);
		}
	}

	close(fd);

	return 0;
}
